The following pages are tagged with events
| Title | Summary |
|---|---|
| Check In Event Tickets | To mark one or more tickets as checked in, make a POST call to the /events/{event_id}/check_in/tickets endpoint. The event must be in ACTIVE or COMPLETE status. Tickets with CANCELLED status cannot be checked in. Parameters event_id: (path, string) Required. The ID that uniquely identifies the... |
| Copy an Existing Event | To save time creating a new event, you can choose to make a copy of a similar event and then update the new event’s details. To make a copy of an existing event, make a POST call to the /v3/events/{event_id}/copy endpoint. Parameters To identify the event to copy,... |
| Create a New Event | To create a new event with default settings, registration form, and landing page, make a POST call to the /events/default endpoint. The event is created in DRAFT status. Parameters name (string, optional): Name for the new event. If not provided, a default name is generated.... |
| Get Details for All Events | To get details about a collection of events, make a GET call to the /events endpoint. Parameters Include one or more of the following optional URL query parameters to filter which event details to return. event_status (string, optional): Filter by event status. Acceptable values include... |
| Get Details for a Single Event | To view details for a single event, make a GET call to the GET https://api.cc.email/v3/events/{event_id} endpoint and specify the event_id as a path parameter. Request Example GET https://api.cc.email/v3/events/{event_id} Endpoint Requirements User privileges: campaign:read Authorization scopes: campaign_data ... |
| Get Details for One Event Registration | To get details about an specific event by track and registration ID, make a GET call to the /events/{event_id}/tracks/{track_key}/registrations/{registration_id} endpoint and specify the following required path parameters: event_id: The ID that uniquely identifies the event. Example: 1697732a-8664-4675-8415-c4aabaa17dae. track_id: The track key that... |
| Get All Registration Details for an Event | To get all registration details for a specific event, make a GET call to the /events/{event_id}/tracks/{tracks_id}/registrations endpoint and specify the following parameters: event_id: (path, string) Required. The ID that uniquely identifies the event. Example: 1697732a-8664-4675-8415-c4aabaa17dae. track_id: (path, string) Required. The track key... |
| Events Overview | What is an Event? An event is a gathering of people (contacts), for a common purpose, at a specified time and a place. The event could be a scheduled concert, sale, fundraiser, conference, training, etc., and takes place either physically or virtually. Events help your business prosper in a... |
| Events Schema | This topic outlines the properties within the event schema and its referenced sub-schemas, providing a categorized breakdown for clarity and understanding. Core Event Information The following properties define the fundamental aspects of an event. name (string): The unique name of the event within an account. Minimum length... |
| Undo Event Ticket Check-In | To undo check-in for one or more tickets, marking them as not checked in, make a POST call to the /events/{event_id}/undo_check_in/tickets endpoint. The event must be in ACTIVE or COMPLETE status. Parameters event_id: (path, string) Required. The ID that uniquely identifies the event. Example: <code... |
| Update an Event | To partially update an event with the provided fields, make a PATCH call to the /events/{event_id} endpoint. Only the specified fields are updated. This endpoint only works for events in DRAFT or ACTIVE status. Parameters event_id: (path, string) Required. The ID that uniquely identifies the event.... |
| Update Registration Payment Status | To update the payment status for one or more event registrations, make a PUT call to the /events/{event_id}/tracks/{track_id}/registrations/payment_status endpoint and specify the required path parameters. This endpoint only processes registrations with a payment method (PAYPAL, WEPAY, STRIPE, DOOR, or CHECK). Free registrations without a payment method are silently excluded.... |
| Update Registration Status | To update the registration status for one or more registrations within an event track, make a PUT call to the /events/{event_id}/tracks/{track_id}/registrations endpoint and specify the required path parameters. Parameters event_id: (path, string) Required. The ID that uniquely identifies the event. Example: 07216444-4e3b-41ea-a3b8-5a418fce41f4. ... |
| Registration Schema | This topic provides documentation for event registration Data Transfer Objects (DTOs.) The V3 API uses a tiered structure, starting with the highest-level container (PaginatedRegistrations) down to the smallest detail (SimpleFieldDto) DetailedRegistrationDto The comprehensive object returned when retrieving details for a single registration (/registrations/{registration_id}). registration_id The... |